ST(1)

NAME
st - simple terminal

SYNOPSIS
st [-a] [-c class] [-f font] [-g geometry] [-o file] [-t title] [-w windowid] [-v] [-e command...]

DESCRIPTION
st is a simple terminal emulator.

OPTIONS

-a  disable alternate screens in terminal

-c class
    defines the window class (default $TERM).

-f font
    defines the font to use when st is run.

-g geometry
    defines the X11 geometry string, which will fixate the height and width of st. The form is [=][<width>{xX}<height>][{+-}<xoffset>{+-}<yoffset>]. See XParseGeometry(3) for further details.

-o file
    writes all the I/O to file. This feature is useful when recording st sessions. A value of "-" means standard output.

-t title
    defines the window title (default 'st').

-w windowid
    embeds st within the window identified by windowid

-v  prints version information to stderr, then exits.

-e program [ arguments ... ]
    st executes program instead of the shell. If this is used it must be the last option on the command line, as in xterm / rxvt.

CUSTOMIZATION
st can be customized by creating a custom config.h and (re)compiling the source code. This keeps it fast, secure and simple.

AUTHORS
See the LICENSE file for the authors.

LICENSE
See the LICENSE file for the terms of redistribution.

SEE ALSO
tabbed(1)

BUGS
See the TODO file in the distribution.